Bug 741082 - sendmail, selinux, unconfined, restricted users
Summary: sendmail, selinux, unconfined, restricted users
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-25 04:57 UTC by Robin Powell
Modified: 2011-12-04 02:36 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-48.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-04 02:36:22 UTC


Attachments (Terms of Use)

Description Robin Powell 2011-09-25 04:57:06 UTC
role staff_r types sendmail_t;
role user_r types sendmail_t;

(at this point, we all know the game we're playing :D )

-Robin

Comment 1 Miroslav Grepl 2011-09-26 07:51:17 UTC
Well, I found a bug. We have this in policy

mta_role(staff_r, staff_t)
mta_role(user_r, user_t)

but in the 

ifndef(`distro_redhat',`

')

statement.

Comment 2 Miroslav Grepl 2011-09-26 07:52:55 UTC
Dan,
which opens a question on this. Should we allow this. I guess we should allow this in this case but there could be others.

Comment 3 Miroslav Grepl 2011-09-26 10:14:59 UTC
Fixed in selinux-policy-3.9.16-41.fc15

Comment 4 Daniel Walsh 2011-09-26 13:53:23 UTC
Yes I think we should add this.

Comment 5 Fedora Update System 2011-11-16 16:18:06 UTC
selinux-policy-3.9.16-48.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-48.fc15

Comment 6 Fedora Update System 2011-11-17 23:36:27 UTC
Package selinux-policy-3.9.16-48.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-48.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16023/selinux-policy-3.9.16-48.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-12-04 02:36:22 UTC
selinux-policy-3.9.16-48.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.